org.apache.poi.ss.usermodel

## Interface CreationHelper

- All Known Implementing Classes:
    HSSFCreationHelper, SXSSFCreationHelper, XSSFCreationHelper

      public interface CreationHelper

  An object that handles instantiating concrete classes of the various instances one needs for HSSF and XSSF. Works around a limitation in Java where we cannot have static methods on interfaces or abstract classes. This allows you to get the appropriate class for a given interface, without you having to worry about if you're dealing with HSSF or XSSF.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AreaReference` | `createAreaReference(CellReference topLeft, CellReference bottomRight)` Creates an area ref from a pair of Cell References..
    `AreaReference` | `createAreaReference(java.lang.String reference)` Creates an AreaReference.
    `ClientAnchor` | `createClientAnchor()` Creates a ClientAnchor.
    `DataFormat` | `createDataFormat()` Creates a new DataFormat instance
    `ExtendedColor` | `createExtendedColor()` Creates a XSSF-style Color object, used for extended sheet formattings and conditional formattings
    `FormulaEvaluator` | `createFormulaEvaluator()` Creates FormulaEvaluator - an object that evaluates formula cells.
    `Hyperlink` | `createHyperlink(HyperlinkType type)` Creates a new Hyperlink, of the given type
    `RichTextString` | `createRichTextString(java.lang.String text)` Creates a new RichTextString instance

- - ### Method Detail

    - #### createRichTextString

          RichTextString createRichTextString(java.lang.String text)

      Creates a new RichTextString instance
      Parameters:
        `text` - The text to initialise the RichTextString with

    - #### createDataFormat

          DataFormat createDataFormat()

      Creates a new DataFormat instance

    - #### createHyperlink

          Hyperlink createHyperlink(HyperlinkType type)

      Creates a new Hyperlink, of the given type

    - #### createFormulaEvaluator

          FormulaEvaluator createFormulaEvaluator()

      Creates FormulaEvaluator - an object that evaluates formula cells.
      Returns:
        a FormulaEvaluator instance

    - #### createExtendedColor

          ExtendedColor createExtendedColor()

      Creates a XSSF-style Color object, used for extended sheet formattings and conditional formattings

    - #### createClientAnchor

          ClientAnchor createClientAnchor()

      Creates a ClientAnchor. Use this object to position drawing object in a sheet
      Returns:
        a ClientAnchor instance
      See Also:
        `Drawing`

    - #### createAreaReference

          AreaReference createAreaReference(java.lang.String reference)

      Creates an AreaReference.
      Parameters:
        `reference` - cell reference
      Returns:
        an AreaReference instance

    - #### createAreaReference

          AreaReference createAreaReference(CellReference topLeft,
                                            CellReference bottomRight)

      Creates an area ref from a pair of Cell References..
      Parameters:
        `topLeft` - cell reference
        `bottomRight` - cell reference
      Returns:
        an AreaReference instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.